<!--
title: Colors in Minicom
-->

To start `minicom` in color mode use

```
minicom -c on
```

Switch terminal emulation to ANSI.

Use escape sequences to actually change the color of text as described for instance here 

https://www.lihaoyi.com/post/BuildyourownCommandLinewithANSIescapecodes.html.

The base sequence is `\1b[Xm` where X is a number as described below.

To get the colors in bright style, use the sequence `\x1b[X;1m`.

Number | Color
----|----
0 | reset
1 | highlight
7 | inverse
30 | black
31 | red
32 | green
33 | yellow
34 | blue
35 | magenta
36 | cyan
37 | white

